Skip to content

Update the status of a workload connection

Request

OPA roles:
  • security_admin

Updates the status of a workload connection

Security
bearerAuth
Path
team_namestringrequired

The name of your team

workload_connection_idstring, (regex)(UUID)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-onlyrequired

The ID of the workload connection

Example:a747a818-a4c4-4446-8a87-704216495a08
Headers
If-Matchstringrequired

The ETag value returned during the Retrieve a workload connection (GET) request for the workload connection

Bodyapplication/jsonrequired
statusstring(WorkloadConnectionStatus)required

The workload connection status

Enum ValueDescription
DRAFT

Indicates that the workload connection is in draft status

ACTIVE

Indicates that the workload connection is active

INACTIVE

Indicates that the workload connection is inactive

curl -i -X PUT \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/connections/workloads/a747a818-a4c4-4446-8a87-704216495a08/status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'If-Match: string' \
  -d '{
    "status": "ACTIVE"
  }'

Responses

No Content

Response
No content